<?php
/**
 * XHTML/HTML5 Boostrap Template
 * @version 1.5 stable $Id: category_alpha.php 0001 2012-10-02 14:00:28Z Rehne $
 * @package Joomla
 * @subpackage FLEXIcontent
 * @copyright (C) 2009 Emmanuel Danan - www.vistamedia.fr
 * @license GNU/GPL v2
 * 
 * FLEXIcontent is a derivative work of the excellent QuickFAQ component
 * @copyright (C) 2008 Christoph Lukes
 * see www.schlu.net for more information
 *
 * FLEXIcontent is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );
// first define the template name
$tmpl = $this->tmpl;

JFactory::getDocument()->addScript( JURI::base().'components/com_flexicontent/assets/js/tmpl-common.js');

/***** Template specific Params *****/
// USE HTML5 or XHTML
$html5								= $this->params->get('htmlmode', 0); // 0 = XHTML , 1 = HTML5
// USE BOOTSTRAP HTML tags
$bootstrap		= $this->params->get('bootstrapmode', 0); // 0 = NO , 1 = YES
// output sytle
$tab_acc_output_style				= $this->params->get('tab_acc_output_style', 'flexi');
// output sytle - bootstrap params
$tab_output_style_layout			= (($tab_acc_output_style == 'bootstrap') || ($tab_acc_output_style == 'css')) ? ($this->params->get('tab_output_style_layout', 'nav-tabs')).' ' : 'nav-tabs ';
$tab_output_style_pos				= (($tab_acc_output_style == 'bootstrap') || ($tab_acc_output_style == 'css') ) ? ($this->params->get('tab_output_style_pos', 'nav-tabs')).' ' : 'nav-tabs ';
// output sytle - CSS3 params
$acc_output_style_css_layout		= ($tab_acc_output_style == 'css') ? ($this->params->get('acc_output_style_css_layout', 'vertical')) : 'vertical '; 
// output typ
$tab_acc  							= $this->params->get('tab_acc', 'tabs');
// output sytle - js and css files
$tmplName 								= 'items-tabbed-accordions-html5';
$output_style_and_type_css_files = $this->params->get('output_style_and_type_css_files', 1); // 0 = No, 1 = Yes
$output_style_and_type_js_files = $this->params->get('output_style_and_type_js_files', 1); // 0 = No, 1 = Yes
if  // ouput style - flexicontent
	($tab_acc_output_style == 'flexi') {
	JFactory::getDocument()->addScript( JURI::base().'components/com_flexicontent/assets/js/tabber-minimized.js');
	JFactory::getDocument()->addStyleSheet(JURI::base().'components/com_flexicontent/assets/css/tabber.css');
}
if // ouput style - bootstrap
	($tab_acc_output_style == 'bootstrap') { 
	if // output typ - bootstrap tabs
		($tab_acc == 'tabs') {
		if ($output_style_and_type_css_files == 1) {
			JFactory::getDocument()->addStyleSheet(JURI::base().'components/com_flexicontent/templates/'.$tmplName.'/css/bootstrap-tab.css');
		}
		if ($output_style_and_type_js_files == 1) {
			JFactory::getDocument()->addScript( JURI::base().'components/com_flexicontent/templates/'.$tmplName.'/js/bootstrap-tab.js');
		}
	}
	if // output typ - bootstrap accordions
		($tab_acc == 'accordions') {
		if ($output_style_and_type_css_files == 1) {
			JFactory::getDocument()->addStyleSheet(JURI::base().'components/com_flexicontent/templates/'.$tmplName.'/css/bootstrap-collapse.css');
		}
		if ($output_style_and_type_js_files == 1) {
			JFactory::getDocument()->addScript( JURI::base().'components/com_flexicontent/templates/'.$tmplName.'/js/bootstrap-collapse.js');
		}
	}
}
if // ouput style - CSS3
	($tab_acc_output_style == 'css') {
	if // output typ - CSS3 tabs
		($tab_acc == 'tabs') {
		if ($output_style_and_type_css_files == 1) {
			JFactory::getDocument()->addStyleSheet(JURI::base().'components/com_flexicontent/templates/'.$tmplName.'/css/css3-tabs.css');
		}
		if ($output_style_and_type_js_files == 1) {
			JFactory::getDocument()->addScript( JURI::base().'components/com_flexicontent/templates/'.$tmplName.'/js/css3-tabs.js');
		}
	}
	if // output typ - CSS3 accordions
		($tab_acc == 'accordions') {
		if ($output_style_and_type_css_files == 1) {
			JFactory::getDocument()->addStyleSheet(JURI::base().'components/com_flexicontent/templates/'.$tmplName.'/css/css3-accordions.css');
		}
		if ($output_style_and_type_js_files == 1) {
			JFactory::getDocument()->addScript( JURI::base().'components/com_flexicontent/templates/'.$tmplName.'/js/css3-accordions.js');
		}
		
	}
}
// ***** HTML5 / SEO uses *****
$outputStyle = ( ($tab_acc_output_style != 'flexi') && ($tab_acc == 'accordions') ) ? 'accordions' : 'tabs';
// HTML5 tags
$sectionTag = $articleTag = $asideTag = $headerTag = $footerTag = $figureTag = 'div';
if ($html5) { 
	$sectionTag = 'section';
	$articleTag = 'article';
	$asideTag 	= 'aside';
	$headerTag 	= 'header'; 
	$footerTag 	= 'footer'; 
	$figureTag 	= 'figure';
}

// heading
if ( ($this->params->get('show_page_heading', 1)) || ($this->params->get('show_cat_title', 1)) ) {
	$itemTitleHeaderLevel = 2; 
} elseif ( ($this->params->get('show_page_heading', 1)) && ($this->params->get('show_cat_title', 1)) ) {
	$itemTitleHeaderLevel = 3; 
} elseif ( (!$this->params->get('show_page_heading', 1)) && (!$this->params->get('show_cat_title', 1)) ) {
	$itemTitleHeaderLevel = 1; 
}
?>

<!--script type="text/javascript"></script-->

<?php if ((($this->params->get('use_filters', 0)) && $this->filters) || ($this->params->get('use_search')) || ($this->params->get('show_alpha', 1))) : ?>
<?php echo '<'.$asideTag; ?> class="group">
<form action="<?php echo htmlentities($this->action); ?>" method="POST" id="adminForm" onsubmit="" class="group <?php echo ($bootstrap) ? 'well' : ''; ?>">

<?php if ( JRequest::getVar('clayout') == $this->params->get('clayout', 'blog') ) :?>
	<input type="hidden" name="clayout" value="<?php echo JRequest::getVar('clayout'); ?>" />
<?php endif; ?>

<?php  /* BOF search or filters */
if ((($this->params->get('use_filters', 0)) && $this->filters) || ($this->params->get('use_search'))) : ?>
<div id="fc_filter" class="floattext group">
	<?php  /* BOF search */
	if ($this->params->get('use_search')) : ?>
	<div class="<?php echo ($bootstrap) ? 'control-group' : 'fc_fleft'; ?>">
    	<?php if ($bootstrap) : ?>
        <div class="controls">
            <div class="input-prepend input-append">
                <span class="add-on"><i class="icon-search"></i></span>
		<?php endif; ?>
        		<input type="text" name="filter" id="filter" value="<?php echo $this->lists['filter'];?>"  class="text_area input-medium" />
				<?php if ( $this->params->get('show_filter_labels', 0) && $this->params->get('use_filters', 0) && $this->filters ) : ?>
                <br>
                <?php endif; ?>
				<button class="<?php echo ($bootstrap) ? 'btn' : 'fc_button'; ?>"onclick="var form=document.getElementById('adminForm');                               adminFormPrepare(form);">
					<?php echo ($bootstrap) ? '<i class="icon-ok"></i> ' : ''; ?><?php echo JText::_( 'FLEXI_GO' ); ?>
                </button>
				<button class="<?php echo ($bootstrap) ? 'btn' : 'fc_button'; ?>" onclick="var form=document.getElementById('adminForm'); adminFormClearFilters(form);  adminFormPrepare(form);">
					<?php echo ($bootstrap) ? '<i class="icon-refresh"></i> ' : ''; ?><?php echo JText::_( 'FLEXI_RESET' ); ?>
                </button>
		<?php if ($bootstrap) : ?>
            </div> 
        </div> 
    	<?php endif; ?>
    </div>
	<?php  /* EOF search */
	endif; ?>
    
	<?php  /* BOF filters */
	if ($this->params->get('use_filters', 0) && $this->filters) : ?>
	
		<?php
        foreach ($this->filters as $filt) :
            if (empty($filt->html)) continue;
            // Add form preparation
            if ( preg_match('/onchange[ ]*=[ ]*([\'"])/i', $filt->html, $matches) ) {
                $filt->html = preg_replace('/onchange[ ]*=[ ]*([\'"])/i', 'onchange=${1}adminFormPrepare(document.getElementById(\'adminForm\'));', $filt->html);
            } else {
                $filt->html = preg_replace('/<(select|input)/i', '<${1} onchange="adminFormPrepare(document.getElementById(\'adminForm\'));"', $filt->html);
            }
        ?>
        <span class="filter" style="white-space: nowrap;">
            <?php if ( $this->params->get('show_filter_labels', 0) ) : ?>
            <span class="filter_label">
                <?php echo $filt->label; ?>
            </span>
            <?php endif; ?>
            
            <span class="filter_field">
                <?php echo $filt->html; ?>
            </span>
        </span>
        <?php endforeach; ?>
	
		<?php if (!$this->params->get('use_search')) : ?>
		<button class="<?php echo ($bootstrap) ? 'btn' : 'fc_button'; ?>" onclick="var form=document.getElementById('adminForm'); adminFormClearFilters(form);  adminFormPrepare(form);"><?php echo ($bootstrap) ? '<i class="icon-refresh"></i>' : ''; ?><?php echo JText::_( 'FLEXI_RESET' ); ?></button>
		<?php endif; ?>
	
	<?php /* EOF filters */
	endif; ?>
</div>
<?php /* BOF search or filters */
endif; ?>

<?php
if ($this->params->get('show_alpha', 1)) :
	echo $this->loadTemplate('alpha');
endif;
?>
<input type="hidden" name="option" value="com_flexicontent" />
<input type="hidden" name="filter_order" value="<?php echo $this->lists['filter_order']; ?>" />
<input type="hidden" name="filter_order_Dir" value="" />
<input type="hidden" name="view" value="category" />
<input type="hidden" name="letter" value="<?php echo JRequest::getVar('letter');?>" id="alpha_index" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="id" value="<?php echo $this->category->id; ?>" />
<input type="hidden" name="cid" value="<?php echo $this->category->id; ?>" />
</form>
<?php endif; ?>

<?php
if ($this->items) :
	// routine to determine all used columns for this table
	$layout 	= $this->params->get('clayout', 'default');
	$fbypos		= flexicontent_tmpl::getFieldsByPositions($layout, 'category');
	$columns 	= array();
	$countItems = 0;
	foreach ($this->items as $item) :
		$countItems = ++$countItems;
		if (isset($item->positions['table'])) :
			foreach ($fbypos['table']->fields as $f) :
				if (!in_array($f, $columns)) :
					$columns[$f] = @$item->fields[$f]->label;
				endif;
			endforeach;
		endif;
	endforeach;
	?>

	<?php $items = & $this->items; ?>
    
    <?php
    if (!$this->params->get('show_title', 1) && $this->params->get('limit', 0) && !count($columns)) :
        echo '<span style="font-weight:bold; color:red;">'.JText::_('FLEXI_TPL_NO_COLUMNS_SELECT_FORCING_DISPLAY_ITEM_TITLE').'</span>'."\n";
        $this->params->set('show_title', 1);
    endif;
    ?>

	<?php if ( !count($columns) && !$this->params->get('show_item_total', 1)) echo '</'.$asideTag.'>'."\n"; ?>

	<?php  /* BOF items total */
    if ($this->params->get('show_item_total', 1)) : ?>
    <div id="item_total" class="item_total">
        <?php	//echo $this->pageNav->getResultsCounter(); // Alternative way of displaying total (via joomla pagination class) ?>
        <?php echo $this->resultsCounter; // custom Results Counter ?> 
    </div>
    <?php echo '</'.$asideTag.'>'."\n"; ?>
    <?php /* EOF items total */
    endif; ?>
    
    <?php /* ********************************************
	 BOF -1- 'OPENING' html tags for 'output typ' TABS */ ?>
        
	<?php /* BOF 1-1 ('OPENING' html tags) fctabber - flexicontent output style */
    if ($tab_acc_output_style == 'flexi') echo '<div class="fctabber group"> <!--flexi tabs-->'."\n"; ?>

	<?php /* BOF 1-2 ('OPENING' html tags) tabbable - bootstrap output style */
    if ( ($tab_acc_output_style == 'bootstrap') && ($tab_acc == 'tabs') ) {
        echo '<div class="tabbable '.$tab_output_style_pos.'group"> <!--bootstrap tabs-->'."\n"; /* BOF tabbable - required for above, below, left or right tabs */
        echo '	<ul class="nav '.$tab_output_style_layout.'">'."\n"; /* BOF nav nav */
        foreach ($items as $key=>$item) : ?>
            <li <?php echo ($key == 0) ? 'class="active"' : ''; ?>>
            <a class="tab-title" href="#tab<?php echo $key; ?>" data-toggle="tab">
            	<?php echo mb_substr ($item->title, 0, 20, 'utf-8'); ?><?php /* tab title */ ?>
            </a>
            </li>
            <?php 
        endforeach;
        echo '</ul>'."\n";  /* EOF nav nav */
        echo '	<div class="tab-content group">'."\n"; /* EOF tab-content */
    } /* EOF 1-2 ('OPENING' html tags) tabbable - bootstrap output style  */ 
    ?>

	<?php /* BOF 1-3 ('OPENING' html tags) css-tabs - CSS3 output style */
    if ( ($tab_acc_output_style == 'css') && ($tab_acc == 'tabs') ) {
        echo '<div id="tabs" class="tabbable '.$tab_output_style_pos.'group"> <!--css3 tabs-->'."\n"; /* BOF tabbable - required for above, below, left or right tabs */
        echo '	<ul class="nav '.$tab_output_style_layout.'">'."\n"; /* BOF nav nav */
        foreach ($items as $key=>$item) : ?>
            <li <?php if ($key == 0) echo 'class="first-tab active"'; ?><?php if ($key == $countItems-1) echo 'class="last-tab"'; ?>>
            <a class="tab-title" href="#tab<?php echo $key; ?>">
            	<?php echo mb_substr ($item->title, 0, 20, 'utf-8'); ?><?php /* tab title */ ?>
            </a>
            </li>
            <?php
        endforeach;
        echo '</ul>'."\n";  /* EOF nav nav */
        echo '	<div class="tab-content">'."\n"; /* EOF tab-content */
    } /* EOF 1-3 ('OPENING' html tags) css-tabs - CSS3 output style */
    ?>
    
    <?php /* EOF -1- 'OPENING' html tags for 'output typ' TABS 
	******************************************************* */ ?>
    
    <?php /* *************************************************
	BOF -1- 'OPENING' html tags for 'output typ' ACCORDION */ ?>
    
    <?php /* BOF 1-4 ('OPENING' html tags) accordion - bootstrap output style */
	if ( ($tab_acc_output_style == 'bootstrap') && ($tab_acc == 'accordions') ) {
		echo '	 <div id="cat-items-accordions" class="css-acc accordion group"><!--bootstrap accordion-->'."\n";
	} /* EOF 1-4 ('OPENING' html tags) accordion - bootstrap output style */ ?>
    
    <?php /* BOF 1-5 ('OPENING' html tags) section accordion-group - CSS3 output style */
	if ( ($tab_acc_output_style == 'css') && ($tab_acc == 'accordions') ) { 
     	echo '	 <div class="css-acc accordion-'.$acc_output_style_css_layout.' group"><!--css3 accordions top-->'."\n";
	} /* EOF 1-5 ('OPENING' html tags) section accordion-group - bootstrap output style */
	?>

    
    <?php /* EOF -1- 'OPENING' html tags for 'output typ' ACCORDION 
	************************************************************ */ ?>

	
<?php foreach ($items as $key=>$item) : ?>
	
    <?php /* ******************************************** 
	BOF -2- 'OPENING' html tags for 'output typ' TABS */ ?>
    	
    <?php /* BOF 2-1 ('OPENING' html tags) section tabbertab  - flexicontent output style */
	if ($tab_acc_output_style == 'flexi') echo '<'.$articleTag.' class="tabbertab">'."\n"; ?>
    
    <?php /* BOF 2-2 ('OPENING' html tags) section tab-pane - bootstrap output style */
	if ( ($tab_acc_output_style == 'bootstrap') && ($tab_acc == 'tabs') ) { ?>
	<?php echo '<'.$articleTag; ?> id="tab<?php echo $key; ?>" class="tab-pane <?php echo ($key == 0) ? 'fade active in' : 'fade' ?>">    			
	<?php } /* EOF 2-2 ('OPENING' html tags) section tab-pane - bootstrap output style */ ?>

    <?php /* BOF 2-3 ('OPENING' html tags) tab-inner - CSS3 output style */
	if ( ($tab_acc_output_style == 'css') && ($tab_acc == 'tabs') ) { ?>
    <span id="tab<?php echo $key; ?>" class="target-fix-anker"></span>
	<?php echo '<'.$articleTag; ?> id="tab-<?php echo $key; ?>" class="css3-tab-pane<?php if ($key == 0) echo ' first-tab'; ?><?php if ($key == $countItems-1) echo ' last-tab'; ?>">
    <div class="tab-pane-inner group">    	
    <?php } /* EOF 2-3 ('OPENING' html tags) tab-inner - CSS3 output style */ ?>
    
   	<?php /* EOF -2- 'OPENING' html tags for 'output typ' TABS 
   	******************************************************* */ ?>
   
   	<?php /* ************************************************
	BOF -2- 'OPENING' html tags for 'output typ' ACCORDION */ ?>
    
    <?php /* BOF 2-4 ('OPENING' html tags) section accordion-group - bootstrap output style */
	if ( ($tab_acc_output_style == 'bootstrap') && ($tab_acc == 'accordions') ) { ?>
	<?php echo '<'.$articleTag; ?> class="accordion-group group accordion">
		<?php echo '<'.$headerTag.'>'."\n"; ?>
        	<a class="accordion-toggle"  data-toggle="collapse" data-parent="#cat-items-accordions" href="#collapse<?php echo $key; ?>">
				<h<?php echo $itemTitleHeaderLevel; ?> class="accordion-title"> <?php /* accordion title */ ?>
					<?php echo mb_substr ($item->title, 0, 20, 'utf-8'); ?>
                <?php echo '</h'.$itemTitleHeaderLevel.'>'."\n"; ?>
			</a>
		<?php echo '</'.$headerTag.'>'."\n"; ?>
		<div id="collapse<?php echo $key; ?>" class="accordion-body collapse"><?php /* accordion content */ ?>
			<div class="accordion-inner">
    <?php /* EOF 2-4 ('OPENING' html tags) section accordion-group - bootstrap output style */
	} ?>
    
    <?php /* BOF 2-5 ('OPENING' html tags) section accordion-group - CSS3 output style */
	if ( ($tab_acc_output_style == 'css') && ($tab_acc == 'accordions') ) { ?>
    	<?php echo '<'.$articleTag; ?> id="acc-sec-<?php echo $key; ?>" class="acc-section">
    	<span id="acc<?php echo $key; ?>" class="target-fix"></span>
			<div class="acc-inner">
           		<?php echo '<'.$headerTag.'>'."\n"; ?>
                    <h<?php echo ($itemTitleHeaderLevel); ?> class="acc-title">
                    <a href="#acc<?php echo $key; ?>">
                        <?php echo mb_substr ($item->title, 0, 20, 'utf-8'); ?>
                    </a>
                     <?php echo '</h'.($itemTitleHeaderLevel).'>'."\n"; ?>
                <?php echo '</'.$headerTag.'>'."\n"; ?>
                <div class="accordion-<?php echo $key; ?> acc-content group">
	<?php /* EOF 2-5 ('OPENING' html tags) section accordion-group - bootstrap output style */
	} ?>
   
    <?php /* EOF -2- 'OPENING' html tags for 'output typ' ACCORDION 
   	************************************************************ */ ?>

		<?php /* BOF tab-title - flexicontent output style */
		if ($tab_acc_output_style == 'flexi') { ?>
        <?php echo '<'.$headerTag.'>'."\n"; ?>
    	<h<?php echo $itemTitleHeaderLevel; ?> class="tab-title">
			<?php echo mb_substr ($item->title, 0, 20, 'utf-8'); ?>
        <?php echo '</h'.$itemTitleHeaderLevel.'>'."\n"; ?>
        <?php echo '</'.$headerTag.'>'."\n"; ?>
        <?php /* EOF tab-title - flexicontent output style */ } ?>
        
        <?php /* BOF beforeDisplayContent */ 
		if ($item->event->beforeDisplayContent) : ?>
            <div class="fc_beforeDisplayContent group">
                <?php echo $item->event->beforeDisplayContent; ?>
            </div>
        <?php /* EOF beforeDisplayContent */
		endif; ?>
    
        <?php /* BOF buttons */
        $pdfbutton = flexicontent_html::pdfbutton( $item, $this->params );
        $mailbutton = flexicontent_html::mailbutton( 'items', $this->params, null , $item->slug );
        $printbutton = flexicontent_html::printbutton( $this->print_link, $this->params );
        $editbutton = flexicontent_html::editbutton( $item, $this->params );
        if ($pdfbutton || $mailbutton || $printbutton || $editbutton) {
        ?>
        <p class="buttons">
            <?php echo $pdfbutton; ?>
            <?php echo $mailbutton; ?>
            <?php echo $printbutton; ?>
            <?php echo $editbutton; ?>
        </p>
        <?php /* EOF buttons */
		} ?>
                
        <?php /* BOF article-block and BOF item title / header */ ?>
			<div class="article-block group">
			<?php echo '<'.$headerTag; ?> class="group"> 	
				<h<?php echo $itemTitleHeaderLevel; ?> class="contentheading" <?php if ( ($outputStyle == 'accordions') || (!$this->params->get('show_title', 1)) ) echo 'style="display:none;"'; // HTML5 / SEO ?>>
                    <span class="fc_item_title">
                        <?php
                        if ( mb_strlen($item->title, 'utf-8') > $this->params->get('title_cut_text',200) ) :
                            echo mb_substr ($item->title, 0, $this->params->get('title_cut_text',200), 'utf-8') . ' ...';
                        else :
                            echo $item->title;
                        endif;
                        ?>
                    </span>
            	<?php echo '</h'.$itemTitleHeaderLevel.'>'."\n"; ?>
        
      	<?php /* BOF afterDisplayTitle */
		if ($item->event->afterDisplayTitle) : ?>
            <div class="fc_afterDisplayTitle group">
                <?php echo $item->event->afterDisplayTitle; ?>
            </div>
        <?php /* EOF afterDisplayTitle */
		endif; ?>
        
        <?php /* BOF subtitle1 block */
		if (isset($item->positions['subtitle1'])) : ?>
        <div class="flexi lineinfo subtitle1 group">
            <?php foreach ($item->positions['subtitle1'] as $field) : ?>
            <div class="flexi element">
                <?php if ($field->label) : ?>
                <span class="flexi label field_<?php echo $field->name; ?>"><?php echo $field->label; ?></span>
                <?php endif; ?>
                <div class="flexi value field_<?php echo $field->name; ?>"><?php echo $field->display; ?></div>
            </div>
            <?php endforeach; ?>
        </div>
        <?php /* EOF subtitle1 block */
		endif; ?>
        
        <?php /* BOF subtitle2 block */
		if (isset($item->positions['subtitle2'])) : ?>
        <div class="flexi lineinfo subtitle2 group">
            <?php foreach ($item->positions['subtitle2'] as $field) : ?>
            <div class="flexi element">
                <?php if ($field->label) : ?>
                <span class="flexi label field_<?php echo $field->name; ?>"><?php echo $field->label; ?></span>
                <?php endif; ?>
                <div class="flexi value field_<?php echo $field->name; ?>"><?php echo $field->display; ?></div>
            </div>
            <?php endforeach; ?>
        </div>
        <?php /* EOF subtitle2 block */
		endif; ?>
        
        <?php /* BOF subtitle3 block */
		if (isset($item->positions['subtitle3'])) : ?>
        <div class="flexi lineinfo subtitle3 group">
            <?php foreach ($item->positions['subtitle3'] as $field) : ?>
            <div class="flexi element">
                <?php if ($field->label) : ?>
                <span class="flexi label field_<?php echo $field->name; ?>"><?php echo $field->label; ?></span>
                <?php endif; ?>
                <div class="flexi value field_<?php echo $field->name; ?>"><?php echo $field->display; ?></div>
            </div>
            <?php endforeach; ?>
        </div>
        <?php /* EOF subtitle3 block */
		endif; ?>
        
        <?php /* EOF header */
		echo '</'.$headerTag.'>'."\n"; ?>
        
        
        <?php /* BOF topblock - Position image and top */
		if ((isset($item->positions['image'])) || (isset($item->positions['top']))) : ?>
        <?php echo '<'.$figureTag.'class="flexi topblock group'.($bootstrap) ? ' row-fluid">"' : '">'."\n"; ?>
        
            <?php /* BOF image block */
			if (isset($item->positions['image'])) : ?>
                <?php foreach ($item->positions['image'] as $field) : ?>
            <div class="flexi image field_<?php echo $field->name; ?> <?php echo ($bootstrap) ? 'span4"' : ''; ?>">
                <?php echo $field->display; ?>
                <div class="clear"></div>
            </div>
                <?php endforeach; ?>
            <?php /* EOF image block */
			endif; ?>
        
            <?php /* BOF top block infoblock */
			if (isset($item->positions['top'])) : ?>
			<?php 
            $classTopColsspan = ''; // bootstrap span
            if ($this->params->get('top_cols', 'two') == 'one') :
                $classTopColsspan = 'span12';
            else :
                $classTopColsspan = 'span6';
            endif;
            ?>
            <div class="flexi infoblock <?php echo $this->params->get('top_cols', 'two'); ?>cols <?php echo (($bootstrap) && (isset($item->positions['image']))) ? 'span8' : '' ?>">
                <ul class="flexi <?php echo ($bootstrap) ? 'row-fluid"' : ''; ?>>
                    <?php foreach ($item->positions['top'] as $field) : ?>
                    <li class="flexi <?php echo ($bootstrap) ? $classTopColsspan : ''; ?>">
                        <div>
                            <?php if ($field->label) : ?>
                            <div class="flexi label field_<?php echo $field->name; ?>"><?php echo $field->label; ?></div>
                            <?php endif; ?>
                            <div class="flexi value field_<?php echo $field->name; ?>"><?php echo $field->display; ?></div>
                        </div>
                    </li>
                    <?php endforeach; ?>
                </ul>
            </div>
            <?php /* EOF top block infoblock */
			endif; ?>
        
        <?php echo '</'.$figureTag.'>'."\n"; ?>
        <?php /* EOF topblock */
		endif; ?>
        
        <?php /* BOF TOC */ if (isset($item->toc)) : ?>
            <?php echo $item->toc; ?>
        <?php /* EOF TOC */ endif; ?>
        
        <?php /* BOF description */
		if (isset($item->positions['description'])) : ?>
        <div class="description  group">
            <?php foreach ($item->positions['description'] as $field) : ?>
                <?php if ($field->label) : ?>
            <div class="desc-title"><?php echo $field->label; ?></div>
                <?php endif; ?>
            <div class="desc-content"><?php echo $field->display; ?></div>
            <?php endforeach; ?>
        </div>
        <?php  /* EOF description */
		endif; ?>
        
        <?php  /* BOF footer */
		if ( ( (isset($item->positions['bottom'])) || ( ($this->params->get('show_readmore', 1) && strlen(trim($item->fulltext)) >= 1) ||  $this->params->get('lead_strip_html', 1) == 1) )  || ($outputStyle == 'accordions') ) echo '<'.$footerTag.' class="'.$articleTag.'-footer group">'."\n"; ?>
        
        <?php  /* BOF bottom block */
		if (isset($item->positions['bottom'])) : ?>
		<?php 
        $classBottomColsspan = ''; // bootstrap span
        if ($this->params->get('top_cols', 'two') == 'one') :
            $classBottomColsspan = 'span12';
        else :
            $classBottomColsspan = 'span6';
        endif;
        ?>
        <div class="flexi infoblock <?php echo $this->params->get('bottom_cols', 'two'); ?>cols group">
            <ul class="flexi <?php echo ($bootstrap) ? 'row-fluid"' : ''; ?>">
                <?php foreach ($item->positions['bottom'] as $field) : ?>
                <li class="flexi <?php echo ($bootstrap) ? $classBottomColsspan : ''; ?>">
                    <div>
                        <?php if ($field->label) : ?>
                        <div class="flexi label field_<?php echo $field->name; ?>"><?php echo $field->label; ?></div>
                        <?php endif; ?>
                        <div class="flexi value field_<?php echo $field->name; ?>"><?php echo $field->display; ?></div>
                    </div>
                </li>
                <?php endforeach; ?>
            </ul>
        </div>
        <?php /* EOF bottom block */
		endif; ?>
    
        <?php /* BOF readmore */ 
		if (
            ( $this->params->get('show_readmore', 1) && strlen(trim($item->fulltext)) >= 1 )
            ||  $this->params->get('lead_strip_html', 1) == 1 /* option 2, strip-cuts and option 1 also forces read more  */
        ) : ?>
        <span class="readmore">
            <a href="<?php echo JRoute::_(FlexicontentHelperRoute::getItemRoute($item->slug, $item->categoryslug)); ?>" class="readon">
            <?php
            if ($item->params->get('readmore')) :
                echo ' ' . $item->params->get('readmore');
            else :
                echo ' ' . JText::sprintf('FLEXI_READ_MORE', $item->title);
            endif;
            ?>
            </a>
        </span>
        <?php /* EOF readmore */ 
		endif; ?>
        
        <?php /* EOF footer */ 
		if ( ( (isset($item->positions['bottom'])) || ( ($this->params->get('show_readmore', 1) && strlen(trim($item->fulltext)) >= 1) ||  $this->params->get('lead_strip_html', 1) == 1) ) || ($outputStyle == 'accordions') ) echo '</'.$footerTag.'>'."\n"; ?>
        
        <?php /* EOF article-block */ 
		echo '</div>'."\n"; ?>
                    
        <?php /* BOF afterDisplayContent (footer) */ 
		if ($item->event->afterDisplayContent) : ?>
        <?php if ($outputStyle == 'accordions') echo '<'.$footerTag.' class="group">'."\n"; ?>
            <div class="afterDisplayContent group">
                <?php echo $item->event->afterDisplayContent; ?>
            </div>
        <?php if ($outputStyle == 'accordions') echo  '</'.$footerTag.'>'."\n"; ?>
        <?php /* EOF afterDisplayContent (section footer) */ 
		endif; ?>
        
    <?php /* ***************************************************
	BOF -2- 'CLOSING' html tags for 'output typ' ACCORDION */ ?>  
    
    <?php /* BOF 2-5 ('CLOSING' html tags) section accordion-group - CSS3 output style */
	if ( ($tab_acc_output_style == 'css') && ($tab_acc == 'accordions') ) echo '</div>'."\n".'</div>'."\n".'</'.$articleTag.'>'."\n"; ?>
    
    <?php /* BOF 2-4 ('CLOSING' html tags) section accordion-group - bootstrap output style */
	if ( ($tab_acc_output_style == 'bootstrap') && ($tab_acc == 'accordions') ) echo '</div>'."\n".'</div>'."\n".'</'.$articleTag.'>'."\n"; ?>
    
    <?php /* EOF -2- 'CLOSING' html tags for 'output typ' ACCORDION 
	************************************************************* */ ?>    
	
    <?php /* **********************************************
	BOF -2- 'CLOSING' html tags for 'output typ' TABS */ ?>
    
    <?php /* EOF 2-3 ('CLOSING' html tags) tab-inner - CSS3 output style */
	if ( ($tab_acc_output_style == 'css') && ($tab_acc == 'tabs') ) echo '</div></'.$articleTag.'>'."\n"; ?> 
    
    <?php /* EOF 2-2 ('CLOSING' html tags) section tab-pane - bootstrap output style */
	if ( ($tab_acc_output_style == 'bootstrap') && ($tab_acc == 'tabs') ) echo '</'.$articleTag.'>'."\n"; ?>  
    
	<?php /* EOF 2-1 ('CLOSING' html tags) section tabbertab - flexicontent output style */
	if ($tab_acc_output_style == 'flexi') echo '</'.$articleTag.'>'."\n"; ?>
    
    <?php /* EOF -2- 'CLOSING' html tags for 'output typ' TABS 
	******************************************************** */ ?>  

<?php endforeach; ?>

    <?php /* ***************************************************
	BOF -1- 'CLOSING' html tags for 'output typ' ACCORDION */ ?>
    
    <?php /* BOF 1-5 ('CLOSING' html tags) section accordion-group - CSS3 output style */
	if ( ($tab_acc_output_style == 'css') && ($tab_acc == 'accordions') ) echo '</div>'."\n"; ?>
    
    <?php /* BOF 1-4 ('CLOSING' html tags) accordion - bootstrap output style */
	if ( ($tab_acc_output_style == 'bootstrap') && ($tab_acc == 'accordions') ) echo '</div>'."\n"; ?>

    <?php /* EOF -1- 'CLOSING' html tags for 'output typ' ACCORDION 
	************************************************************* */ ?>

	<?php /* **********************************************
	BOF -1- 'CLOSING' html tags for 'output typ' TABS */ ?>
    
    <?php /* EOF 1-3 ('CLOSING' html tags) CSS3 output style */
    if ( ($tab_acc_output_style == 'css') && ($tab_acc == 'tabs') ) echo '</div>'."\n".'</div>'."\n"; ?>
    
    <?php /* EOF 1-2 ('CLOSING' html tags) bootstrap output style */
    if ( ($tab_acc_output_style == 'bootstrap') && ($tab_acc == 'tabs') ) echo '</div>'."\n".'</div>'."\n"; ?>

	<?php /* EOF 1-1 ('CLOSING' html tags) fctabber flexicontent output style */
    if ($tab_acc_output_style == 'flexi') echo '</div>'."\n";  ?>
    
    <?php /* EOF -1- 'CLOSING' html tags for 'output typ' TABS 
	******************************************************** */ ?>
    
<?php elseif ($this->getModel()->getState('limit')) : // Check case of creating a category view without items ?>
	<div class="noitems"><?php echo JText::_( 'FLEXI_NO_ITEMS_CAT' ); ?></div>
<?php endif; ?>
