<?php
/**
 * XHTML/HTML5 Boostrap Template
 * @version 1.5 stable $Id: category_alpha.php 0001 2012-10-02 14:00:28Z Rehne $
 * @package Joomla
 * @subpackage FLEXIcontent
 * @copyright (C) 2009 Emmanuel Danan - www.vistamedia.fr
 * @license GNU/GPL v2
 * 
 * FLEXIcontent is a derivative work of the excellent QuickFAQ component
 * @copyright (C) 2008 Christoph Lukes
 * see www.schlu.net for more information
 *
 * FLEXIcontent is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

/***** Template specific Params *****/
// USE HTML5 or XHTML
$html5			= $this->params->get('htmlmode', 0); // 0 = XHTML , 1 = HTML5
// USE BOOTSTRAP HTML tags
$bootstrap		= $this->params->get('bootstrapmode', 0); // 0 = NO , 1 = YES
?>

<?php
$n = count($this->categories);
$i = 0;
?>
<div class="subcategorieslist group" role="navigation">
	<?php
	echo (($bootstrap) ? '<span class="badge badge-info">' : '') . JText::_( 'FLEXI_SUBCATEGORIES' ) . (($bootstrap) ? '</span>' : ': ');
	foreach ($this->categories as $sub) :
		$subsubcount = count($sub->subcats);	
	?>
		<a class="<?php echo($bootstrap) ? 'btn btn-mini' : ''; ?>" href="<?php echo JRoute::_( FlexicontentHelperRoute::getCategoryRoute($sub->slug) ); ?>"><?php echo $this->escape($sub->title); ?>
		<?php
		if ($this->params->get('show_itemcount', 1)) echo ' <span class="small">(' . ($sub->assigneditems != null ? $sub->assigneditems.'/'.$subsubcount : '0/'.$subsubcount) . ')</span>';
		$i++;
		if (($i != $n) && (!$bootstrap)) :
			echo ', ';
		endif; ?>
        </a>
	<?php endforeach; ?>
</div>