<?php
/**
 * XHTML/HTML5 Boostrap Template
 * @version 1.5 stable $Id: category_alpha.php 0001 2012-10-02 14:00:28Z Rehne $
 * @package Joomla
 * @subpackage FLEXIcontent
 * @copyright (C) 2009 Emmanuel Danan - www.vistamedia.fr
 * @license GNU/GPL v2
 * 
 * FLEXIcontent is a derivative work of the excellent QuickFAQ component
 * @copyright (C) 2008 Christoph Lukes
 * see www.schlu.net for more information
 *
 * FLEXIcontent is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );
// first define the template name
$tmpl = $this->tmpl; // for backwards compatiblity

$page_classes  = '';
$page_classes .= $this->pageclass_sfx ? ' page'.$this->pageclass_sfx : '';
$page_classes .= ' items item'.$this->item->id;
$page_classes .= ' type'.$this->item->type_id;

/***** Template specific Params *****/
// USE HTML5 or XHTML
$html5									= $this->params->get('htmlmode', 0); // 0 = XHTML , 1 = HTML5
// output sytle
$top_tab_acc_output_style				= $this->params->get('top_tab_acc_output_style', 'flexi');
$bot_tab_acc_output_style				= $this->params->get('bot_tab_acc_output_style', 'flexi'); 
// output sytle - bootstrap params
$top_tab_output_style_layout			= (($top_tab_acc_output_style == 'bootstrap') || ($top_tab_acc_output_style == 'css')) ? ($this->params->get('top_tab_output_style_layout', 'nav-tabs')).' ' : 'nav-tabs ';
$top_tab_output_style_pos				= (($top_tab_acc_output_style == 'bootstrap') || ($top_tab_acc_output_style == 'css')) ? ($this->params->get('top_tab_output_style_pos', 'tabs-above')).' ' : 'tabs-above '; 
$bot_tab_output_style_layout			= (($bot_tab_acc_output_style == 'bootstrap') || ($bot_tab_acc_output_style == 'css')) ? ($this->params->get('bot_tab_output_style_layout', 'nav-tabs')).' ' : 'nav-tabs ';
$bot_tab_output_style_pos				= (($bot_tab_acc_output_style == 'bootstrap') || ($bot_tab_acc_output_style == 'css')) ? ($this->params->get('bot_tab_output_style_pos', 'tabs-above')).' ' : 'tabs-above '; 
// output sytle - CSS3 params
$top_acc_output_style_css_layout		= ($top_tab_acc_output_style == 'css') ? ($this->params->get('top_acc_output_style_css_layout', 0)) : 'vertical';
$bot_acc_output_style_css_layout		= ($bot_tab_acc_output_style == 'css') ? ($this->params->get('bot_acc_output_style_css_layout', 0)) : 'vertical';
// output typ
$top_tab_acc  							= $this->params->get('top_tab_acc', 'tabs');
$bot_tab_acc 							= $this->params->get('bot_tab_acc', 'tabs');

// output sytle - js and css files
$tmplName 								= 'items-tabbed-accordions-html5';
$top_output_style_and_type_css_files 	= $this->params->get('top_output_style_and_type_css_files', 1); // 0 = No, 1 = Yes
$bot_output_style_and_type_css_files 	= $this->params->get('bot_output_style_and_type_css_files', 1); // 0 = No, 1 = Yes
$top_output_style_and_type_js_files 	= $this->params->get('top_output_style_and_type_js_files', 1); // 0 = No, 1 = Yes
$bot_output_style_and_type_js_files 	= $this->params->get('bot_output_style_and_type_js_files', 1); // 0 = No, 1 = Yes

if  // ouput style - flexicontent
	($top_tab_acc_output_style == 'flexi' || $bot_tab_acc_output_style == 'flexi') {
	JFactory::getDocument()->addScript( JURI::base().'components/com_flexicontent/assets/js/tabber-minimized.js');
	JFactory::getDocument()->addStyleSheet(JURI::base().'components/com_flexicontent/assets/css/tabber.css');
}
if // ouput style - bootstrap
	($top_tab_acc_output_style == 'bootstrap' || $bot_tab_acc_output_style == 'bootstrap') {
	if // output typ - bootstrap tabs
		(($top_tab_acc == 'tabs')  || ($bot_tab_acc == 'tabs')){
		if ( $top_output_style_and_type_css_files == 1 || $bot_output_style_and_type_css_files == 1 ) {
			JFactory::getDocument()->addStyleSheet(JURI::base().'components/com_flexicontent/templates/'.$tmplName.'/css/bootstrap-tab.css');
		}
		if ( $top_output_style_and_type_js_files == 1 || $bot_output_style_and_type_js_files == 1 ) {
			JFactory::getDocument()->addScript( JURI::base().'components/com_flexicontent/templates/'.$tmplName.'/js/bootstrap-tab.js');
		}
	}
	if // output typ - bootstrap accordions
		(($top_tab_acc == 'accordions')  || ($bot_tab_acc == 'accordions')) {
		if ( $top_output_style_and_type_css_files == 1 || $bot_output_style_and_type_css_files == 1 ) {
			JFactory::getDocument()->addStyleSheet(JURI::base().'components/com_flexicontent/templates/'.$tmplName.'/css/bootstrap-collapse.css');
		}
		if ( $top_output_style_and_type_js_files == 1 || $bot_output_style_and_type_js_files == 1 ) {
			JFactory::getDocument()->addScript( JURI::base().'components/com_flexicontent/templates/'.$tmplName.'/js/bootstrap-collapse.js');
		}
	}
}
if // ouput style - CSS3
	($top_tab_acc_output_style == 'css') {
	if // output typ - CSS3 tabs
		(($top_tab_acc == 'tabs')  || ($bot_tab_acc == 'tabs')){
		if ( $top_output_style_and_type_css_files == 1 || $bot_output_style_and_type_css_files == 1 ) {
			JFactory::getDocument()->addStyleSheet(JURI::base().'components/com_flexicontent/templates/'.$tmplName.'/css/css3-tabs.css');
		}
		if ( $top_output_style_and_type_js_files == 1 || $bot_output_style_and_type_js_files == 1 ) {
			JFactory::getDocument()->addScript( JURI::base().'components/com_flexicontent/templates/'.$tmplName.'/js/css3-tabs.js');
		}
	}
	if // output typ - CSS3 accordions
		(($top_tab_acc == 'accordions')  || ($bot_tab_acc == 'accordions')) {
		JFactory::getDocument()->addStyleSheet(JURI::base().'components/com_flexicontent/templates/'.$tmplName.'/css/css3-accordions.css');
	}
}

// HTML5 tags
$sectionTag = $articleTag = $asideTag = $headerTag = $footerTag = $figureTag = 'div';
if ($html5) { 
	$sectionTag = 'section';
	$articleTag = 'article';
	$asideTag 	= 'aside';
	$headerTag 	= 'header'; 
	$footerTag 	= 'footer'; 
	$figureTag 	= 'figure';
}
$mainAreaTag = ( $this->params->get( 'show_page_heading', 1 ) && $this->params->get('page_heading') != $this->item->title && $this->params->get('show_title', 1) ) ? $sectionTag : $articleTag;
$itemTitleHeaderLevel = ( $this->params->get( 'show_page_heading', 1 ) && $this->params->get('page_heading') != $this->item->title && $this->params->get('show_title', 1) ) ? '2' : '1'; 
$TabsAccsHeaderLevel =	( $itemTitleHeaderLevel == 2 ) ? '3' : '2';

?>

<?php echo '<'.$mainAreaTag; ?> id="flexicontent" class="flexicontent <?php echo $page_classes; ?> group" >
	
    <?php echo ( ($mainAreaTag == 'section') ? '<'.$headerTag.'>'."\n" : ''); ?>
  	
	<?php /* BOF beforeDisplayContent */
	if ($this->item->event->beforeDisplayContent) : ?>
		<?php echo ( ($mainAreaTag == 'section') ? '<'.$asideTag : '<div'); ?> class="fc_beforeDisplayContent group">
			<?php echo $this->item->event->beforeDisplayContent; ?>
		<?php echo ( ($mainAreaTag == 'section') ? '</'.$asideTag.'>'."\n" : '</div>'."\n"); ?>
	<?php /* EOF beforeDisplayContent */
	endif; ?>
	
	<?php /* BOF buttons */
	$pdfbutton = flexicontent_html::pdfbutton( $this->item, $this->params );
	$mailbutton = flexicontent_html::mailbutton( FLEXI_ITEMVIEW, $this->params, null , $this->item->slug );
	$printbutton = flexicontent_html::printbutton( $this->print_link, $this->params );
	$editbutton = flexicontent_html::editbutton( $this->item, $this->params );
	$statebutton = flexicontent_html::statebutton( $this->item, $this->params );
	$approvalbutton = flexicontent_html::approvalbutton( $this->item, $this->params );
	if ($pdfbutton || $mailbutton || $printbutton || $editbutton || $statebutton || $approvalbutton) {
	?>
    
	<p class="buttons">
		<?php echo $pdfbutton; ?>
		<?php echo $mailbutton; ?>
		<?php echo $printbutton; ?>
		<?php echo $editbutton; ?>
		<?php echo $statebutton; ?>
		<?php echo $approvalbutton; ?>
	</p>
	<?php } /* EOF buttons */ ?>

	<?php /* BOF page title */
	if ( $this->params->get( 'show_page_heading', 1 ) && $this->params->get('page_heading') != $this->item->title ) : ?>
        <?php echo '<'.$headerTag.'>'."\n"; ?>
        <h1 class="componentheading">
            <?php echo $this->params->get('page_heading'); ?>
        </h1>
        <?php echo '</'.$headerTag.'>'."\n"; ?>
	<?php /* EOF page title */
	endif; ?>
    
    <?php echo ( ($mainAreaTag == 'section') ? '</'.$headerTag.'>'."\n" : ''); ?>
	
    <?php echo ( ($mainAreaTag == 'section') ? '<'.$articleTag.'>'."\n" : ''); ?>
    
	<?php /* BOF header / item title */ ?>
        <?php echo '<'.$headerTag; ?> class="group"> 
        <h<?php echo $itemTitleHeaderLevel; ?> class="contentheading" <?php if (!$this->params->get('show_title', 1)) echo 'style="display:none;"'; // HTML5 / SEO ?>>
        <span class="fc_item_title">
            <?php
            if ( mb_strlen($this->item->title, 'utf-8') > $this->params->get('title_cut_text',200) ) :
                echo mb_substr ($this->item->title, 0, $this->params->get('title_cut_text',200), 'utf-8') . ' ...';
            else :
                echo $this->item->title;
            endif;
            ?>
        </span>
		<?php echo '</h'.$itemTitleHeaderLevel.'>'."\n"; ?>
	<?php /* EOF item title */ ?>

    <?php /* BOF afterDisplayTitle */
	if ($this->item->event->afterDisplayTitle) : ?>
		<div class="fc_afterDisplayTitle group">
			<?php echo $this->item->event->afterDisplayTitle; ?>
		</div>
	<?php /* EOF afterDisplayTitle */
	endif; ?>
	
	<?php /* BOF subtitle1 block */
	if (isset($this->item->positions['subtitle1'])) : ?>
        <div class="flexi lineinfo subtitle1 group">
            <?php foreach ($this->item->positions['subtitle1'] as $field) : ?>
            <div class="flexi element">
                <?php if ($field->label) : ?>
                <span class="flexi label field_<?php echo $field->name; ?>"><?php echo $field->label; ?></span>
                <?php endif; ?>
                <div class="flexi value field_<?php echo $field->name; ?>"><?php echo $field->display; ?></div>
            </div>
            <?php endforeach; ?>
        </div>
	<?php /* EOF subtitle1 block */
	endif; ?>
	
	<?php /* BOF subtitle2 block */
	if (isset($this->item->positions['subtitle2'])) : ?>
        <div class="flexi lineinfo subtitle2 group">
            <?php foreach ($this->item->positions['subtitle2'] as $field) : ?>
            <div class="flexi element">
                <?php if ($field->label) : ?>
                <span class="flexi label field_<?php echo $field->name; ?>"><?php echo $field->label; ?></span>
                <?php endif; ?>
                <div class="flexi value field_<?php echo $field->name; ?>"><?php echo $field->display; ?></div>
            </div>
            <?php endforeach; ?>
        </div>
	<?php /* EOF subtitle2 block */
	endif; ?>
	
	<?php /* BOF subtitle3 block */
	if (isset($this->item->positions['subtitle3'])) : ?>
        <div class="flexi lineinfo subtitle3 group">
            <?php foreach ($this->item->positions['subtitle3'] as $field) : ?>
            <div class="flexi element">
                <?php if ($field->label) : ?>
                <span class="flexi label field_<?php echo $field->name; ?>"><?php echo $field->label; ?></span>
                <?php endif; ?>
                <div class="flexi value field_<?php echo $field->name; ?>"><?php echo $field->display; ?></div>
            </div>
            <?php endforeach; ?>
        </div>
	<?php /* EOF subtitle3 block */
	endif; ?>
    
    <?php echo '</'.$headerTag.'>'."\n"; ?>
    <?php /* EOF header */  ?>
    
    
    <?php /* BOF tabsTop - flexicontent output style */
	if ( ($top_tab_acc_output_style == 'flexi') ) { 
		$tabcount = 6;
		
		// Find if at least one tabbed position is used
		for ($tc=1; $tc<=$tabcount; $tc++) $createtabs = @$createtabs ||  isset($this->item->positions['top_tab_acc'.$tc]);
		
		if /* BOF tabber */
			(@$createtabs) :
			echo '<div id="tabsTop" class="fctabber group"><!--flexi tabs top-->'."\n";
			
			for ($tc=1; $tc<=$tabcount; $tc++) :
				$tabPos_name  = 'top_tab_acc'.$tc;
				$tabPos_label = JText::_($this->params->get('top_tab_acc'.$tc.'_label', $tabPos_name));
				if (isset($this->item->positions[$tabPos_name])):
				/* BOF top_tab_accN block */ ?>
				<?php echo '<'.$sectionTag; ?> class="tabbertab">
                	<?php echo '<'.$headerTag.'>'."\n"; ?>
                        <h<?php echo ($TabsAccsHeaderLevel+1); ?> class="tab-title">
                            <?php echo $tabPos_label; ?>
                        <?php echo '</h'.($TabsAccsHeaderLevel+1). '>'."\n"; ?>
                    <?php echo '</'.$headerTag.'>'."\n"; ?>
					<div class="flexi lineinfo <?php echo $tabPos_name; ?>">
						<?php foreach ($this->item->positions[$tabPos_name] as $field) : ?>
						<div class="flexi element">
							<?php if ($field->label) : ?>
							<span class="flexi label field_<?php echo $field->name; ?>"><?php echo $field->label; ?></span>
							<?php endif; ?>
							<div class="flexi value field_<?php echo $field->name; ?>"><?php echo $field->display; ?></div>
						</div>
						<?php endforeach; ?>
					</div>
				<?php echo '</'.$sectionTag.'>'; ?>
				<?php /* EOF top_tab_accN block */
				endif; ?>
			<?php 
			endfor;
			echo '</div>'."\n";
		/* EOF tabber */
		endif;
	} /* EOF tabsTop - EOF tabsTop - flexicontent output style */
    ?>

    <?php /* BOF tabsTop - bootstrap output style */
	if ( ($top_tab_acc_output_style == 'bootstrap') && ($top_tab_acc == 'tabs') ) {
		$tabsCount = 6;
		// Find if at least one tab position is used
		for ($tc=1; $tc<=$tabsCount; $tc++) $createsTabs = @$createsTabs || isset($this->item->positions['top_tab_acc'.$tc]);
		
		if (@$createsTabs) : /* BOF tabsTop */
			echo '<div id="tabsTop" class="tabbable '.$top_tab_output_style_pos.'group"><!--bootstrap tabs top-->'."\n"; //required for left/right tabs
			echo '	<ul class="nav '.$top_tab_output_style_layout.'">'."\n"; /* BOF nav nav */
			for ($tc=1; $tc<=$tabsCount; $tc++) :
				$tabPos_name  = 'top_tab_acc'.$tc;
				$tabPos_label = JText::_($this->params->get('top_tab_acc_label'.$tc, $tabPos_name));
				if (isset($this->item->positions[$tabPos_name])): ?>
					<li <?php echo ($tc == 1) ? 'class="active"' : ''; ?>>
						<a class="tab-title" href="#tabTop<?php echo $tc; ?>" data-toggle="tab">
						<?php echo $tabPos_label; ?>
						</a>
					</li> <?php 
				endif;
			endfor;
			echo '</ul>'."\n";  /* EOF nav nav */
			echo '	<div class="tab-content">'."\n"; /* EOF tab-content */
			for ($tc=1; $tc<=$tabsCount; $tc++) :
				$tabPos_name  = 'top_tab_acc'.$tc;
				$tabPos_label = JText::_($this->params->get('top_tab_acc_label'.$tc, $tabPos_name));
				if (isset($this->item->positions[$tabPos_name])): ?> 
					<?php echo '<'.$sectionTag; ?>  id="tabTop<?php echo $tc; ?>" class="tab-pane <?php echo ($tc == 1) ? 'active fade in' : 'fade' ?>">
                    <div class="tab-pane-inner group">
                        <header style="display:none;"> <!--HTML5 / SEO-->
                            <h<?php echo ($TabsAccsHeaderLevel+1); ?> class="contentheading">
								<?php echo $tabPos_label; ?>
							<?php echo '</h'.($TabsAccsHeaderLevel+1). '>' ?>
                        <?php echo '</'.$headerTag.'>'."\n"; ?>
						<?php foreach ($this->item->positions[$tabPos_name] as $field) : ?>
						<div class="flexi element">
							<?php if ($field->label) : ?>
							<span class="flexi label field_<?php echo $field->name; ?>"><?php echo $field->label; ?></span>
							<?php endif; ?>
							<div class="flexi value field_<?php echo $field->name; ?>"><?php echo $field->display; ?></div>
						</div>
						<?php endforeach; ?>
					<?php echo '</div></'.$sectionTag.'>';
				endif;
			endfor;
			echo '</div>'."\n"; /* EOF tab-content */
			echo '</div>'."\n";
		endif;
	} /* EOF tabsTop - bootstrap output style */
    ?>
    
    <?php /* BOF tabsTop - CSS3 output style */
	if ( ($top_tab_acc_output_style == 'css') && ($top_tab_acc == 'tabs') ) {
		$tabsCount = 6;
		$countTabs = 0;
		// Find if at least one tab position is used
		for ($tc=1; $tc<=$tabsCount; $tc++) {
		$createsTabs = @$createsTabs || isset($this->item->positions['top_tab_acc'.$tc]);
		if (isset($this->item->positions['top_tab_acc'.$tc])) $countTabs  = ++$countTabs;
		}
		
		if (@$createsTabs) : /* BOF tabsTop */
			echo '<div id="tabsTop" class="tabbable '.$top_tab_output_style_pos.'group"><!--css3 tabs top-->'."\n";
			echo '	<ul class="nav '.$top_tab_output_style_layout.'">'."\n"; /* BOF nav nav */
			for ($tc=1; $tc<=$tabsCount; $tc++) :
				$tabPos_name  = 'top_tab_acc'.$tc;
				$tabPos_label = JText::_($this->params->get('top_tab_acc_label'.$tc, $tabPos_name));
				if (isset($this->item->positions[$tabPos_name])): ?>
					<li <?php if ($tc == 1) echo 'class="first-tab active"'; ?><?php if ($tc == $countTabs) echo 'class="last-tab"'; ?>>
						<a class="tab-title" href="#tabTop<?php echo $tc; ?>">
						<?php echo $tabPos_label; ?>
						</a>
					</li><?php  
				endif;
			endfor;
			echo '</ul>'."\n";  /* EOF nav nav */
			echo '	<div class="tab-content">'."\n"; /* EOF tab-content */
			for ($tc=1; $tc<=$tabsCount; $tc++) :
				$tabPos_name  = 'top_tab_acc'.$tc;
				$tabPos_label = JText::_($this->params->get('top_tab_acc_label'.$tc, $tabPos_name));
				if (isset($this->item->positions[$tabPos_name])): ?> 
                	<span id="tabTop<?php echo $tc; ?>" class="target-fix-anker"></span>
					<?php echo '<'.$sectionTag; ?>  id="tabTop-<?php echo $tc; ?>" class="tab css3-tab-pane <?php if ($tc == 1) echo 'first-tab'; ?><?php if ($tc == $countTabs) echo 'last-tab'; ?>">
                    <div class="tab-pane-inner group">
                        <header style="display:none;"> <!--HTML5 / SEO-->
                            <h<?php echo ($TabsAccsHeaderLevel+1); ?> class="contentheading">
								<?php echo $tabPos_label; ?>
							<?php echo '</h'.($TabsAccsHeaderLevel+1). '>' ?>
                        <?php echo '</'.$headerTag.'>'."\n"; ?>
						<?php foreach ($this->item->positions[$tabPos_name] as $field) : ?>
						<div class="flexi element">
							<?php if ($field->label) : ?>
							<span class="flexi label field_<?php echo $field->name; ?>"><?php echo $field->label; ?></span>
							<?php endif; ?>
							<div class="flexi value field_<?php echo $field->name; ?>"><?php echo $field->display; ?></div>
						</div>
						<?php endforeach; ?>
					<?php echo '</div></'.$sectionTag.'>'."\n";
				endif;
			endfor;
			echo '</div>'."\n"; /* EOF tab-content */
			echo '</div>'."\n";
		endif;
	} /* EOF tabsTop - CSS3 output style */
    ?>

    <?php /* BOF accordionsTop - bootstrap output style */
	if ( ($top_tab_acc_output_style == 'bootstrap') && ($top_tab_acc == 'accordions') ) {
		$accordionsCount = 6;
		// Find if at least one accordion position is used
		for ($ac=1; $ac<=$accordionsCount; $ac++) $createsAccordions = @$createsAccordions || isset($this->item->positions['top_tab_acc'.$ac]);
		
		if (@$createsAccordions) :
			echo '	 <div id="accordionsTop" class="accordion group"><!--bootstrap accordions top-->'."\n";
			for ($ac=1; $ac<=$accordionsCount; $ac++) :
				$accPos_name  = 'top_tab_acc'.$ac;
				$accPos_label = JText::_($this->params->get('top_tab_acc_label'.$ac, $accPos_name));
				if /*BOF accordion-groupNblock*/ 
				(isset($this->item->positions[$accPos_name])):?>
			
				<?php echo '<'.$sectionTag; ?> class="accordion-group group">
					<header class="accordion-heading">
                        <a href="#collapseTop<?php echo $ac; ?>" data-parent="#accordionTop" data-toggle="collapse" class="accordion-toggle">
                            <h<?php echo ($TabsAccsHeaderLevel+1); ?> class="accordion-title">
                                <?php echo $accPos_label ?>
                            <?php echo '</h'.($TabsAccsHeaderLevel+1).'>'."\n"; ?>
                        </a>
					<?php echo '</'.$headerTag.'>'."\n"; ?>
					<div class="<?php echo $accPos_name; ?> accordion-body collapse" id="collapseTop<?php echo $ac; ?>">
						<div class="accordion-inner group">
						<?php foreach ($this->item->positions[$accPos_name] as $field) : ?>
						<div class="flexi element">
							<?php if ($field->label) : ?>
							<span class="flexi label field_<?php echo $field->name; ?>"><?php echo $field->label; ?></span>
							<?php endif; ?>
							<div class="flexi value field_<?php echo $field->name; ?>"><?php echo $field->display; ?></div>
						</div>
						<?php endforeach; ?>
						</div>
					</div>
				<?php echo '</'.$sectionTag.'>'; ?>
				 
				<?php /*EOF accordion-group */
				endif; ?>
			<?php endfor; ?>   
		<?php echo '</div>'."\n";
		endif; 
	} /* EOF accordionsTop - bootstrap output style - accordion typ */
    ?>
    
    <?php /* BOF accordionsTop - CSS3 output style */
	if ( ($top_tab_acc_output_style == 'css') && ($top_tab_acc == 'accordions') ) {
		$accordionsCount = 6;
		$accTopCount = 0;
		// Find if at least one accordion position is used
		for ($ac=1; $ac<=$accordionsCount; $ac++) $createsAccordions = @$createsAccordions || isset($this->item->positions['top_tab_acc'.$ac]);
		// Find if at least how many accordions position are used
		for ($ac=1; $ac<=$accordionsCount; $ac++) { if (isset($this->item->positions['top_tab_acc'.$ac])) $accTopCount = $ac; }
		if (@$createsAccordions) :
			echo '	 <div id="accordionsTop" class="css-acc accordion-'.$top_acc_output_style_css_layout.' group"><!--css3 accordions top-->'."\n";
			for ($ac=1; $ac<=$accordionsCount; $ac++) :
				$accPos_name  = 'top_tab_acc'.$ac;
				$accPos_label = JText::_($this->params->get('top_tab_acc_label'.$ac, $accPos_name));
				if /*BOF accordion-groupNblock*/ 
				(isset($this->item->positions[$accPos_name])):?>
			
				<?php echo '<'.$sectionTag; ?> id="acc-sec-<?php echo $ac; ?>" class="acc-section">
                	<span id="<?php echo $accPos_name; ?>" class="target-fix"></span>
                    <div class="acc-inner">
                        <?php echo '<'.$headerTag.'>'."\n"; ?>
                            <h<?php echo ($TabsAccsHeaderLevel+1); ?> class="acc-title <?php if ($ac == 1) echo 'first-acc'; ?><?php if ($ac == $accTopCount) echo 'last-tab'; ?>">
                            <a <?php echo($ac == 1) ? 'class="active"' : 'class=""'; ?> href="#<?php echo $accPos_name; ?>">
								<?php echo $accPos_label ?>
                            </a>
                             <?php echo '</h'.($TabsAccsHeaderLevel+1).'>'."\n"; ?>
                        <?php echo '</'.$headerTag.'>'."\n"; ?>
                        <div class="<?php echo $accPos_name; ?> acc-content group">
                            <?php foreach ($this->item->positions[$accPos_name] as $field) : ?>
                            <div class="flexi element">
                                <?php if ($field->label) : ?>
                                <span class="flexi label field_<?php echo $field->name; ?>"><?php echo $field->label; ?></span>
                                <?php endif; ?>
                                <div class="flexi value field_<?php echo $field->name; ?>"><?php echo $field->display; ?></div>
                            </div>
                            <?php endforeach; ?>
                        </div>
                    	<span class="accordion-nav previous"><a href="#top_tab_acc<?php echo (($ac == 1) ? $accTopCount : ($ac - 1) ); ?>"><i class="icon-arrow-left"></i></a></span> 
            			<span class="accordion-nav next"><a href="#top_tab_acc<?php echo (($ac == $accTopCount) ? '1' : ($ac + 1) ); ?>"><i class="icon-arrow-right"></i></a></span>
                	</div>
                <?php echo '</'.$sectionTag.'>'; ?>
				 
				<?php /*EOF accordion-group */
				endif; ?>
			<?php endfor; ?>   
		<?php echo '</div>'."\n";
		endif; 
	} /* EOF accordionsTop - CSS3 output style - accordion typ */
    ?>

	<?php /* BOF top block / image and top block */
	if ((isset($this->item->positions['image'])) || (isset($this->item->positions['top']))) : ?>
	<?php echo '<'.$figureTag.'class="flexi topblock'.($bootstrap) ? ' row-fluid">"' : '">'."\n"; ?>
	
		<?php /* BOF image */
		if (isset($this->item->positions['image'])) : ?>
			<?php foreach ($this->item->positions['image'] as $field) : ?>
            <div class="flexi image field_<?php echo $field->name; ?> <?php echo ($bootstrap) ? 'span4"' : ''; ?>">
                <?php echo $field->display; ?>
                <div class="clear"></div>
            </div>
			<?php endforeach; ?>
		<?php /* EOF image */
		endif; ?>
	
		<?php  /* BOF top */
		if (isset($this->item->positions['top'])) : ?>
			<?php 
            $classTopColsspan = ''; // bootstrap span
            if ($this->params->get('top_cols', 'two') == 'one') :
                $classTopColsspan = 'span12';
            else :
                $classTopColsspan = 'span6';
            endif;
            ?>
            <div class="flexi infoblock <?php echo $this->params->get('top_cols', 'two'); ?>cols <?php echo (($bootstrap) && (isset($item->positions['image']))) ? 'span8' : '' ?>">
                <ul class="flexi <?php echo ($bootstrap) ? 'row-fluid"' : ''; ?>">
                    <?php foreach ($this->item->positions['top'] as $field) : ?>
                    <li class="flexi <?php echo ($bootstrap) ? $classTopColsspan : ''; ?>">
                        <div>
                            <?php if ($field->label) : ?>
                            <div class="flexi label field_<?php echo $field->name; ?>"><?php echo $field->label; ?></div>
                            <?php endif; ?>
                            <div class="flexi value field_<?php echo $field->name; ?>"><?php echo $field->display; ?></div>
                        </div>
                    </li>
                    <?php endforeach; ?>
                </ul>
            </div>
		<?php /* EOF top */
		endif; ?>
	
	<?php echo '</'.$figureTag.'>'."\n"; ?>
	<?php /* EOF top block */
	endif; ?>
	
	<?php /* BOF TOC */ if (isset($this->item->toc)) : ?>
		<?php echo $this->item->toc; ?>
	<?php /* EOF TOC */ endif; ?>
	
	<?php /* BOF description */
	if (isset($this->item->positions['description'])) : ?>
        <div class="description group">
            <?php foreach ($this->item->positions['description'] as $field) : ?>
                <?php if ($field->label) : ?>
            <div class="desc-title"><?php echo $field->label; ?></div>
                <?php endif; ?>
            <div class="desc-content"><?php echo $field->display; ?></div>
            <?php endforeach; ?>
        </div>
	<?php /* EOF description */
	endif; ?>
	
    <?php /* BOF tabsBottom - flexicontent output style */
	if ( ($bot_tab_acc_output_style == 'flexi') ) { 
		$tabcount = 6;
		
		// Find if at least one tabbed position is used
		for ($tc=1; $tc<=$tabcount; $tc++) $createtabs = @$createtabs ||  isset($this->item->positions['bot_tab_acc'.$tc]);
		
		if /* BOF tabber */
			(@$createtabs) :
			echo '<div id="tabsBottom" class="fctabber group"><!--flexi tabs bottom-->'."\n";
			
			for ($tc=1; $tc<=$tabcount; $tc++) :
				$tabPos_name  = 'bot_tab_acc'.$tc;
				$tabPos_label = JText::_($this->params->get('bot_tab_acc'.$tc.'_label', $tabPos_name));
				if (isset($this->item->positions[$tabPos_name])):
				/* BOF bot_tab_accN block */ ?>
				<?php echo '<'.$sectionTag; ?> class="tabbertab"><!-- tab start -->
                	<?php echo '<'.$headerTag.'>'."\n"; ?>
                    	<h<?php echo ($TabsAccsHeaderLevel+1); ?> class="tabs-title">
							<?php echo $tabPos_label; ?>
						<?php echo '</h'.($TabsAccsHeaderLevel+1). '>' ?>
                    <?php echo '</'.$headerTag.'>'."\n"; ?>
					<div class="flexi lineinfo <?php echo $tabPos_name; ?>">
						<?php foreach ($this->item->positions[$tabPos_name] as $field) : ?>
						<div class="flexi element">
							<?php if ($field->label) : ?>
							<span class="flexi label field_<?php echo $field->name; ?>"><?php echo $field->label; ?></span>
							<?php endif; ?>
							<div class="flexi value field_<?php echo $field->name; ?>"><?php echo $field->display; ?></div>
						</div>
						<?php endforeach; ?>
					</div>
				<?php echo '</'.$sectionTag.'>'; ?>
				<?php /* EOF bot_tab_accN block */
				endif; ?>
			<?php 
			endfor;
			echo '</div>'."\n";
		/* EOF tabber */
		endif;
	} /* EOF tabsTop - EOF tabsTop - flexicontent output style */
    ?>

    <?php /* BOF tabsBottom - bootstrap output style */
	if ( ($bot_tab_acc_output_style == 'bootstrap') && ($bot_tab_acc == 'tabs') ) {
		$tabsCount = 6;
		// Find if at least one tab position is used
		for ($tc=1; $tc<=$tabsCount; $tc++) $createsTabs = @$createsTabs || isset($this->item->positions['bot_tab_acc'.$tc]);
		
		if (@$createsTabs) :
			echo '<div id="tabsBottom" class="tabbable '.$bot_tab_output_style_pos.'group"><!--bootstrap tabs bottom-->'."\n"; //required for left/right tabs
			echo '	<ul class="nav '.$bot_tab_output_style_layout.'">'."\n"; /* BOF nav nav */
			for ($tc=1; $tc<=$tabsCount; $tc++) :
				$tabPos_name  = 'bot_tab_acc'.$tc;
				$tabPos_label = JText::_($this->params->get('bot_tab_acc_label'.$tc, $tabPos_name));
				if (isset($this->item->positions[$tabPos_name])): ?>
					<li <?php echo ($tc == 1) ? 'class="active"' : ''; ?>>
						<a href="#tabBottom<?php echo $tc; ?>" data-toggle="tab">
						<?php echo $tabPos_label; ?><!-- tab title -->
						</a>
					</li> <?php 
				endif;
			endfor; /* EOF nav nav */
			echo '</ul>'."\n";
			echo '	<div class="tab-content">'."\n"; /* BOF tab-content */
			for ($tc=1; $tc<=$tabsCount; $tc++) :
				$tabPos_name  = 'bot_tab_acc'.$tc;
				$tabPos_label = JText::_($this->params->get('bot_tab_acc_label'.$tc, $tabPos_name));
				if (isset($this->item->positions[$tabPos_name])): ?> 
					<?php echo '<'.$sectionTag; ?> id="tabBottom<?php echo $tc; ?>" class="tab-pane <?php echo ($tc == 1) ? 'active fade in' : 'fade' ?>">
                    <div class="tab-pane-inner group">
                    	<header style="display:none;"><!--HTML5 / SEO-->
							<h<?php echo ($TabsAccsHeaderLevel+1); ?> class="contentheading">
								<?php echo $tabPos_label; ?>
							<?php echo '</h'.($TabsAccsHeaderLevel+1).'>'."\n"; ?>
						<?php echo '</'.$headerTag.'>'."\n"; ?>
						<?php foreach ($this->item->positions[$tabPos_name] as $field) : ?>
						<div class="flexi element">
							<?php if ($field->label) : ?>
							<span class="flexi label field_<?php echo $field->name; ?>"><?php echo $field->label; ?></span>
							<?php endif; ?>
							<div class="flexi value field_<?php echo $field->name; ?>"><?php echo $field->display; ?></div>
						</div>
						<?php endforeach; ?>
					<?php echo '</div></'.$sectionTag.'>';
				endif;
			endfor;
			echo '</div>'."\n"; /* EOF tab-content */
			echo '</div>'."\n";
		endif;
	} /* EOF tabsBottom - bootstrap output style */
    ?>
    
    <?php /* BOF tabsBottom - CSS3 output style */
	if ( ($bot_tab_acc_output_style == 'css') && ($bot_tab_acc == 'tabs') ) {
		$tabsCount = 6;
		$countTabs = 0;
		// Find if at least one tab position is used
		for ($tc=1; $tc<=$tabsCount; $tc++) {
			$createsTabs = @$createsTabs || isset($this->item->positions['bot_tab_acc'.$tc]);
			if (isset($this->item->positions['top_tab_acc'.$tc])) $countTabs  = ++$countTabs;
		}
		
		if (@$createsTabs) :
			echo '<div id="tabsBottom" class="tabbable '.$bot_tab_output_style_pos.'group"><!--css3 tabs bottom-->'."\n";
			echo '	<ul class="nav '.$bot_tab_output_style_layout.'">'."\n"; /* BOF nav nav */
			for ($tc=1; $tc<=$tabsCount; $tc++) :
				$tabPos_name  = 'bot_tab_acc'.$tc;
				$tabPos_label = JText::_($this->params->get('bot_tab_acc_label'.$tc, $tabPos_name));
				if (isset($this->item->positions[$tabPos_name])): ?>
					<li <?php if ($tc == 1) echo 'class="first-tab active"'; ?><?php if ($tc == $countTabs) echo 'class="last-tab"'; ?>>
						<a class="tab-title" href="#tabBottom<?php echo $tc; ?>">
						<?php echo $tabPos_label; ?>
						</a>
					</li> 
				<?php 
				endif;
			endfor;
			echo '</ul>'."\n";  /* EOF nav nav */
			echo '	<div class="tab-content">'."\n"; /* EOF tab-content */
			for ($tc=1; $tc<=$tabsCount; $tc++) :
				$tabPos_name  = 'bot_tab_acc'.$tc;
				$tabPos_label = JText::_($this->params->get('bot_tab_acc_label'.$tc, $tabPos_name));
				if (isset($this->item->positions[$tabPos_name])): ?> 
                	<span id="tabBottom<?php echo $tc; ?>" class="target-fix-anker"></span>
					<?php echo '<'.$sectionTag; ?> id="tabBottom-<?php echo $tc; ?>" class="css3-tab-pane <?php if ($tc == 1) echo 'first-tab'; ?><?php if ($tc == $countTabs) echo 'last-tab'; ?>">
                    <div class="tab-pane-inner group">
                        <header style="display:none;"> <!--HTML5 / SEO-->
                            <h<?php echo ($TabsAccsHeaderLevel+1); ?> class="contentheading">
								<?php echo $tabPos_label; ?>
							<?php echo '</h'.($TabsAccsHeaderLevel+1). '>' ?>
                        <?php echo '</'.$headerTag.'>'."\n"; ?>
						<?php foreach ($this->item->positions[$tabPos_name] as $field) : ?>
						<div class="flexi element">
							<?php if ($field->label) : ?>
							<span class="flexi label field_<?php echo $field->name; ?>"><?php echo $field->label; ?></span>
							<?php endif; ?>
							<div class="flexi value field_<?php echo $field->name; ?>"><?php echo $field->display; ?></div>
						</div>
						<?php endforeach; ?>
					<?php echo '</div></'.$sectionTag.'>'."\n";
				endif;
			endfor;
			echo '</div>'."\n"; /* EOF tab-content */
			echo '</div>'."\n";
		endif;
	} /* EOF tabsBottom - CSS3 output style */
    ?>
    
	<?php  /* BOF accordionsBottom - bootstrap output style */
	if ( ($bot_tab_acc_output_style == 'bootstrap') && ($bot_tab_acc == 'accordions') ) // bootstrap output style - accordion typ
	{
		$accordionsCount = 6;
		// Find if at least one accordion position is used
		for ($ac=1; $ac<=$accordionsCount; $ac++) $createsAccordions = @$createsAccordions || isset($this->item->positions['bot_tab_acc'.$ac]);
		
		if (@$createsAccordions) :
			echo '<div id="accordionsBottom" class="accordion group"><!--css3 tabs bottom-->'."\n";
			
			for ($ac=1; $ac<=$accordionsCount; $ac++) :
				$accPos_name  = 'bot_tab_acc'.$ac;
				$accPos_label = JText::_($this->params->get('bot_tab_acc_label'.$ac, $accPos_name));
				if /*BOF accordion-groupNblock */
				(isset($this->item->positions[$accPos_name])): ?>
			
				<?php echo '<'.$sectionTag; ?> class="accordion-group group">
					<header class="accordion-heading">
                        <a href="#collapseBottom<?php echo $ac; ?>" data-parent="#accordionBottom" data-toggle="collapse" class="accordion-toggle">
                            <h<?php echo ($TabsAccsHeaderLevel+1); ?> class="accordion-title">
                                <?php echo $accPos_label ?>
                            <?php echo '</h'.($TabsAccsHeaderLevel+1).'>'."\n"; ?>
                        </a>
					<?php echo '</'.$headerTag.'>'."\n"; ?>
					<div class="<?php echo $accPos_name; ?> accordion-body collapse" id="collapseBottom<?php echo $ac; ?>">
						<div class="accordion-inner group">
						<?php foreach ($this->item->positions[$accPos_name] as $field) : ?>
						<div class="flexi element">
							<?php if ($field->label) : ?>
							<span class="flexi label field_<?php echo $field->name; ?>"><?php echo $field->label; ?></span>
							<?php endif; ?>
							<div class="flexi value field_<?php echo $field->name; ?>"><?php echo $field->display; ?></div>
						</div>
						<?php endforeach; ?>
						</div>
					</div>
				<?php echo '</'.$sectionTag.'>'; ?>
				 
				<?php /*EOF accordion-groupNblock */
				endif; ?>
			<?php endfor; ?> 
		<?php
			echo '</div>'."\n";
		endif; 
	} /* EOF accordionsBottom - bootstrap output style */
    ?>
    
    <?php /* BOF accordionsBottom - CSS3 output style */
	if ( ($bot_tab_acc_output_style == 'css') && ($bot_tab_acc == 'accordions') ) {
		$accordionsCount = 6;
		$accBotCount = 0;
		// Find if at least one accordion position is used
		for ($ac=1; $ac<=$accordionsCount; $ac++) $createsAccordions = @$createsAccordions || isset($this->item->positions['bot_tab_acc'.$ac]);
		// Find if at least how many accordions position are used
		for ($ac=1; $ac<=$accordionsCount; $ac++) { if (isset($this->item->positions['bot_tab_acc'.$ac])) $accBotCount = $ac; }
		if (@$createsAccordions) :
			echo '	 <div id="accordionsBottom" class="css-acc accordion-'.$bot_acc_output_style_css_layout.' group"><!--bootstrap accordions bottom-->'."\n";
			for ($ac=1; $ac<=$accordionsCount; $ac++) :
				$accPos_name  = 'bot_tab_acc'.$ac;
				$accPos_label = JText::_($this->params->get('bot_tab_acc_label'.$ac, $accPos_name));
				if /*BOF accordion-groupNblock*/ 
				(isset($this->item->positions[$accPos_name])):?>
			
				<?php echo '<'.$sectionTag; ?> id="acc-sec-<?php echo $ac; ?>" class="acc-section">
                	<span id="<?php echo $accPos_name; ?>" class="target-fix"></span>
                    <div class="acc-inner">
                        <?php echo '<'.$headerTag.'>'."\n"; ?>
                            <h<?php echo ($TabsAccsHeaderLevel+1); ?> class="acc-title <?php if ($ac == 1) echo 'first-acc'; ?><?php if ($ac == $accBotCount) echo 'last-tab'; ?>">
                             <a <?php echo($ac == 1) ? 'class="active"' : 'class=""'; ?> href="#<?php echo $accPos_name; ?>">
								<?php echo $accPos_label ?>
                            </a>
                            <?php echo '</h'.($TabsAccsHeaderLevel+1).'>'."\n"; ?>
                        <?php echo '</'.$headerTag.'>'."\n"; ?>
                        <div class="<?php echo $accPos_name; ?> acc-content group">
                            <?php foreach ($this->item->positions[$accPos_name] as $field) : ?>
                            <div class="flexi element">
                                <?php if ($field->label) : ?>
                                <span class="flexi label field_<?php echo $field->name; ?>"><?php echo $field->label; ?></span>
                                <?php endif; ?>
                                <div class="flexi value field_<?php echo $field->name; ?>"><?php echo $field->display; ?></div>
                            </div>
                            <?php endforeach; ?>
                        </div>
                    	<span class="accordion-nav previous"><a href="#bot_tab_acc<?php echo (($ac == 1) ? $accBotCount : ($ac - 1) ); ?>"><i class="icon-arrow-left"></i></a></span> 
            			<span class="accordion-nav next"><a href="#bot_tab_acc<?php echo (($ac == $accBotCount) ? '1' : ($ac + 1) ); ?>"><i class="icon-arrow-right"></i></a></span>
                	</div>
                <?php echo '</'.$sectionTag.'>'; ?>
				 
				<?php /*EOF accordion-group */
				endif; ?>
			<?php endfor; ?>   
		<?php echo '</div>'."\n";
		endif; 
	} /* EOF accordionsBottom - CSS3 output style - accordion typ */
    ?>
    
	<?php /* BOF bottom block */
	if (isset($this->item->positions['bottom'])) : ?>
		<?php 
        $classBottomColsspan = ''; // bootstrap span
        if ($this->params->get('top_cols', 'two') == 'one') :
            $classBottomColsspan = 'span12';
        else :
            $classBottomColsspan = 'span6';
        endif;
        ?>
        <footer class="flexi infoblock <?php echo $this->params->get('bottom_cols', 'two'); ?>cols group">
            <ul class="flexi <?php echo ($bootstrap) ? $classBottomColsspan : ''; ?>">
                <?php foreach ($this->item->positions['bottom'] as $field) : ?>
                <li class="flexi <?php echo ($bootstrap) ? $classBottomColsspan : ''; ?>">
                    <div>
                        <?php if ($field->label) : ?>
                        <div class="flexi label field_<?php echo $field->name; ?>"><?php echo $field->label; ?></div>
                        <?php endif; ?>
                        <div class="flexi value field_<?php echo $field->name; ?>"><?php echo $field->display; ?></div>
                    </div>
                </li>
                <?php endforeach; ?>
            </ul>
        <?php echo '</'.$footerTag.'>'."\n"; ?>
	<?php /* EOF bottom block */
	endif; ?>

	<?php /* BOF comments */
	if ($this->params->get('comments') && !JRequest::getVar('print')) : ?>
        <?php echo '<'.$sectionTag; ?> class="comments group">
        <?php
            if ($this->params->get('comments') == 1) :
                if (file_exists(JPATH_SITE.DS.'components'.DS.'com_jcomments'.DS.'jcomments.php')) :
                    require_once(JPATH_SITE.DS.'components'.DS.'com_jcomments'.DS.'jcomments.php');
                    echo JComments::showComments($this->item->id, 'com_flexicontent', $this->escape($this->item->title));
                endif;
            endif;
        
            if ($this->params->get('comments') == 2) :
                if (file_exists(JPATH_SITE.DS.'plugins'.DS.'content'.DS.'jom_comment_bot.php')) :
                    require_once(JPATH_SITE.DS.'plugins'.DS.'content'.DS.'jom_comment_bot.php');
                    echo jomcomment($this->item->id, 'com_flexicontent');
                endif;
            endif;
        ?>
        <?php echo '</'.$sectionTag.'>'; ?>
	<?php /* EOF comments */
	endif; ?>
    
    <?php echo ( ($mainAreaTag == 'section') ? '</'.$articleTag.'>'."\n" : ''); ?>

  	<?php /* BOF afterDisplayContent */
	if ($this->item->event->afterDisplayContent) : ?>
	<?php echo ( ($mainAreaTag == 'section') ? '<footer' : '<div'); ?> class="fc_afterDisplayContent group">
        <?php echo $this->item->event->afterDisplayContent; ?>
    <?php echo ( ($mainAreaTag == 'section') ? '</'.$footerTag.''."\n" : '</div>'."\n"); ?>
  	<?php /* EOF afterDisplayContent */
	endif; ?>
    
<?php echo '</'.$mainAreaTag.'>'."\n"; ?>