<?php
/**
 * XHTML/HTML5 Boostrap Template
 * @version 1.5 stable $Id: category_alpha.php 0001 2012-10-02 14:00:28Z Rehne $
 * @package Joomla
 * @subpackage FLEXIcontent
 * @copyright (C) 2009 Emmanuel Danan - www.vistamedia.fr
 * @license GNU/GPL v2
 * 
 * FLEXIcontent is a derivative work of the excellent QuickFAQ component
 * @copyright (C) 2008 Christoph Lukes
 * see www.schlu.net for more information
 *
 * FLEXIcontent is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

/***** Template specific Params *****/
// USE HTML5 or XHTML
$html5			= $this->params->get('htmlmode', 0); // 0 = XHTML , 1 = HTML5	
// HTML5 tags
$sectionTag = $articleTag = $asideTag = $headerTag = $footerTag = $figureTag = 'div';
if ($html5) { 
	$sectionTag = 'section';
	$articleTag = 'article';
	$asideTag 	= 'aside';
	$headerTag 	= 'header'; 
	$footerTag 	= 'footer'; 
	$figureTag 	= 'figure';
}
$catTitleHeaderLevel = ( $this->params->get( 'show_page_heading', 1 ) && $this->params->get('show_cat_title', 1) ) ? '2' : '1';
// USE BOOTSTRAP HTML tags
$bootstrap		= $this->params->get('bootstrapmode', 0); // 0 = NO , 1 = YES
?>

<div class="floattext group">
	<?php /* BOF cat title */
	if ($this->params->get('show_cat_title', 1)) : ?>
    <?php if ( ($html5) && ($this->params->get('show_cat_title', 1)) ) echo '<header class="group">'."\n"; ?>
	<h<?php echo $catTitleHeaderLevel; ?> class="cattitle">
		<?php echo $this->escape($this->category->title); ?>
    <?php echo '</h'.($catTitleHeaderLevel). '>'."\n"; ?>
    <?php if ( ($html5) && ($this->params->get('show_cat_title', 1)) ) echo '</header>'."\n"; ?>
	<?php /* EOF cat title */
	endif; ?>

	<?php /* BOF cat image and desc */
	if ( ($this->params->get('show_description_image', 1) && $this->category->image) || ($this->params->get('show_description', 1) && $this->category->description) ) : ?>
    <?php echo '<'.$figureTag.' class="group">'."\n"; ?>
		<?php /* BOF cat image */
        if ($this->params->get('show_description_image', 1) && $this->category->image) : ?>
        <div class="catimg">
            <?php echo $this->category->image; ?>
        </div>
        <?php /* EOF cat image */
        endif; ?>
	
		<?php /* BOF cat desc */
        if ($this->params->get('show_description', 1) && $this->category->description) : ?>
        <div class="catdescription">
            <?php echo $this->category->description; ?>
        </div>
        <?php /* EOF cat desc */
        endif; ?>
   <?php echo '</'.$figureTag.'>'."\n";
   /* EOF cat image and desc */
   endif; ?>
</div>
